<template>
  <b-container>
    <b-form>
      <b-row>
        <b-col sm="12">
          <b-progress :max="2" class="mb-3">
            <b-progress-bar variant="primary" :value="paso"></b-progress-bar>
          </b-progress>
        </b-col>
      </b-row>
      <b-row>
        <b-col sm="12">
          <info-personal v-bind="formulario" v-if="paso==0" />
          <info-domicilio v-bind="formulario" v-if="paso==1" />
          <resumen v-bind="formulario" v-if="paso==2" />
        </b-col>
      </b-row>
      <b-row>
        <b-col sm="4">
          <b-button variant="danger" v-if="paso!=0" @click="retroceder">Atras</b-button>
        </b-col>
        <b-col offset="2" sm="4">
          <b-button variant="success" v-if="paso!=2" :disabled="!siguienteHabilitado" @click="avanzar">Siguiente</b-button>
          <b-button variant="success" v-if="paso==2" @click="finalizar">Finalizar</b-button>
        </b-col>
      </b-row>
    </b-form>
  </b-container>
</template>
<script>
import InfoPersonal from "~/components/InfoPersonal.vue";
import InfoDomicilio from "~/components/InfoDomicilio.vue";
import Resumen from "~/components/Resumen.vue";
export default {
  components: {
    InfoPersonal,
    InfoDomicilio,
    Resumen
  },
  data: function() {
    return {
      siguienteHabilitado: false,
      paso: 0,
      formulario: {
        nombre: "",
        apellido: "",
        domicilio: "",
        ciudad: ""
      }
    };
  },
  created: function() {
    this.$on("camposRequeridosCompletos", this.setSiguienteHabilitado);
    this.$on("setNombre", this.setNombre);
    this.$on("setApellido", this.setApellido);
    this.$on("setCiudad", this.setCiudad);
    this.$on("setDomicilio", this.setDomicilio);
  },
  methods: {
    avanzar: function() {
      this.paso++;
    },
    finalizar: function() {
      alert("ok")
    },
    retroceder: function() {
      if (this.paso > 0) {
        this.paso--;
      }
    },
    setSiguienteHabilitado: function(habilitado) {
      this.siguienteHabilitado = habilitado;
    },
    setNombre: function(nombre) {
      this.formulario.nombre = nombre;
    },
    setApellido: function(apellido) {
      this.formulario.apellido = apellido;
    },
    setDomicilio: function(domicilio) {
      this.formulario.domicilio = domicilio;
    },
    setCiudad: function(ciudad) {
      this.formulario.ciudad = ciudad;
    }
  }
};
</script>